### Method

# St ThemeContext get_root_node

#### Declaration [src]

    StThemeNode*
    st_theme_context_get_root_node (
      StThemeContext* context
    )

#### Description [src]

Gets the root node of the tree of theme style nodes that associated with this context. For the node tree associated with a stage, this node represents styles applied to the stage itself.

#### Return value

Type: `StThemeNode`

The root node of the context’s style tree.

The data is owned by the instance.